aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/tests.sh
diff options
context:
space:
mode:
authorErik Kundt <bitshift@posteo.org>2018-04-26 19:38:20 +0800
committerErik Kundt <bitshift@posteo.org>2018-05-01 09:23:07 +0800
commit743a714f21c76c0c2a026b4ceb61c7cf94130540 (patch)
treeb577935452f00396280d5521d86300aad8ea24fb /scripts/tests.sh
parent5cce2e552baf1f7431c99500da74cb929360c3b8 (diff)
downloaddexon-solidity-743a714f21c76c0c2a026b4ceb61c7cf94130540.tar
dexon-solidity-743a714f21c76c0c2a026b4ceb61c7cf94130540.tar.gz
dexon-solidity-743a714f21c76c0c2a026b4ceb61c7cf94130540.tar.bz2
dexon-solidity-743a714f21c76c0c2a026b4ceb61c7cf94130540.tar.lz
dexon-solidity-743a714f21c76c0c2a026b4ceb61c7cf94130540.tar.xz
dexon-solidity-743a714f21c76c0c2a026b4ceb61c7cf94130540.tar.zst
dexon-solidity-743a714f21c76c0c2a026b4ceb61c7cf94130540.zip
Adds CircleCI config for macOS.
Does not run ipc and smt tests.
Diffstat (limited to 'scripts/tests.sh')
-rwxr-xr-xscripts/tests.sh29
1 files changed, 23 insertions, 6 deletions
diff --git a/scripts/tests.sh b/scripts/tests.sh
index 38073bf3..d63c1fe4 100755
--- a/scripts/tests.sh
+++ b/scripts/tests.sh
@@ -30,6 +30,17 @@ set -e
REPO_ROOT="$(dirname "$0")"/..
+IPC_ENABLED=true
+if [[ "$OSTYPE" == "darwin"* ]]
+then
+ SMT_FLAGS="--no-smt"
+ if [ "$CIRCLECI" ]
+ then
+ IPC_ENABLED=false
+ IPC_FLAGS="--no-ipc"
+ fi
+fi
+
if [ "$1" = --junit_report ]
then
if [ -z "$2" ]
@@ -98,8 +109,11 @@ function run_eth()
sleep 2
}
-download_eth
-ETH_PID=$(run_eth /tmp/test)
+if [ "$IPC_ENABLED" = true ];
+then
+ download_eth
+ ETH_PID=$(run_eth /tmp/test)
+fi
progress="--show-progress"
if [ "$CIRCLECI" ]
@@ -131,7 +145,7 @@ do
log=--logger=JUNIT,test_suite,$log_directory/noopt_$vm.xml $testargs_no_opt
fi
fi
- "$REPO_ROOT"/build/test/soltest $progress $log -- --testpath "$REPO_ROOT"/test "$optimize" --evm-version "$vm" --ipcpath /tmp/test/geth.ipc
+ "$REPO_ROOT"/build/test/soltest $progress $log -- --testpath "$REPO_ROOT"/test "$optimize" --evm-version "$vm" $SMT_FLAGS $IPC_FLAGS --ipcpath /tmp/test/geth.ipc
done
done
@@ -141,6 +155,9 @@ then
exit 1
fi
-pkill "$ETH_PID" || true
-sleep 4
-pgrep "$ETH_PID" && pkill -9 "$ETH_PID" || true
+if [ "$IPC_ENABLED" = true ]
+then
+ pkill "$ETH_PID" || true
+ sleep 4
+ pgrep "$ETH_PID" && pkill -9 "$ETH_PID" || true
+fi